
var truncFixObs = {
	observe: function(subject, topic, data) {
		try {
			//	console.log('truncFixObs');
			var hc = subject.QueryInterface(Components.interfaces.nsIHttpChannel);
			hc.setResponseHeader("content-disposition", hc.getResponseHeader("content-disposition").replace(/(;\s*filename\s*=\s*)([^\";]+)/, "$1\"$2\""), false);
		}
		catch (ex) {
		}
	}
};

function truncFixInit()
{
	//	console.log('truncFixInit');
	Components.classes["@mozilla.org/observer-service;1"]
		.getService(Components.interfaces.nsIObserverService)
		.addObserver(truncFixObs, "http-on-examine-response", false);
}

function truncFixDone()
{
	//	console.log('truncFixDone');
	Components.classes["@mozilla.org/observer-service;1"]
		.getService(Components.interfaces.nsIObserverService)
		.removeObserver(truncFixObs, "http-on-examine-response");
}

window.addEventListener("load", truncFixInit, false);
window.addEventListener("unload", truncFixDone, false);
